%define upstream_name    Test-Perl-Critic
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Use Perl::Critic in test programs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MCE::Grep)
BuildRequires:	perl(Module::Build)
BuildRequires:  perl(Perl::Critic)
BuildArch:      noarch

# Avoid doc-file dependencies from tests
%{?perl_default_filter}

%description 
Test::Perl::Critic wraps the Perl::Critic engine in a convenient subroutine
suitable for test programs written using the Test::More framework. This makes
it easy to integrate coding-standards enforcement into the build process. For
ultimate convenience (at the expense of some flexibility), see the criticism
pragma.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}


%files
%doc INSTALL Changes LICENSE README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.30.0-4pclos2017
- rebuild against updates

